Loading...
Searching...
No Matches
in Struct Reference

Affiche les détails d'un devis devis à afficher. More...

## Detailed Description

Affiche les détails d'un devis devis à afficher.

Sauvegarde les tâches dans un fichier binaire Le tableau des tâches.

Sauvegarde les devis dans un fichier binaire Le tableau des travaux.

Sauvegarde des devis dans devis Tableau de devis.

Sauvegarde des taches dans precedences.txt Tableau d'offre.

Fonction de recherche dichotomique pour les taches Le tableau de pointeur.

Fonction de recherche dichotomique pour les Travaux tableau des travaux.

Récupère la durée d'une tâche à partir du tableau des travaux Le tableau des travaux.

Chargement des taches Tableau des travaux.

Liberer la liste des devis des devis.

Liberer le tableau des travaux Tableau des travaux.

Inserer un nouveau Devis devis qu'on veut inserer.

Afficher le devis d'une entreprise donnée pour un type de travaux donnée Tableau de pointeur de travaux.

Parameters

  [in] | tlog | Taille logique
  [in] | entreprise | Nom de l'entreprise
  [in] | typeTravaux | Type de travaux

de travaux

Parameters

  [in] | tLog | Taille logique
  [out] | *nbTaches | Nombres de Taches
  [in] | fichier | Fichier

Returns
  tabTache Retourne un tableau de tache

Parameters

  [in] | tLog | Le nombre de travaux
  [in] | typeTravaux | Le type de travaux à rechercher

Returns
  tabTravaux La durée de la tâche
  0 Si non trouvée

type de Travaux

Returns
  -1 Retourne quand il a pas trouvé

Parameters

  [in] | nbTaches | Nombres de taches

de la tache

Returns
  -1 Retourne quand il a pas trouvé

Parameters

  [in] | nbTaches | Nombres de taches
  [in] | fichier | Fichier de sauvegarde
  [in] | tLog | Taille logique
  [in] | fichier | Fichier de sauvegarde

devis à écrire

Parameters

  [in] | tLog | Le nombre de devis à sauvegarder
  [in] | fichier | Le fichier dans lequel sauvegarder
  [in] | nbTaches | Le nombre de tâches
  [in] | fichier | Le fichier dans lequel sauvegarder

The documentation for this struct was generated from the following file:

- src/affichage.c